Retrieve Account by ID
Overview
You can retrieve information for a specific account by using the GET method, as described below. The response structure varies based on the account type.
Resource Access
Production (api.ahrvo.network)
GET https://api.ahrvo.network/banking/us2/v1/customer/id/{customerId}/account/id/{accountId}
Staging (gateway.ahrvo.network)
GET https://gateway.ahrvo.network/banking/us2/v1/customer/id/{customerId}/account/id/{accountId}
Authentication
| Header | Description |
|---|---|
Authorization | Bearer {JWT token} |
x-api-key | Your API key |
Content-Type | application/json |
Path Parameters
| Parameter | Type | Description |
|---|---|---|
customerId | integer | Internal customer ID |
accountId | integer | Internal account ID |
Response Fields
| Field | Type | Description |
|---|---|---|
resourceName | string | Resource type (account) |
url | string | URL to the account resource |
id | integer | Internal account ID |
externalId | string | Client-defined external identifier |
tags | array | Array of labels |
metaData | object | Custom key-value metadata pairs |
accountNumber | string | Account number |
status | string | Account status (ACTIVE, INACTIVE, PENDING_VERIFICATION, CLOSED) |
statusReason | string | Reason for the current status |
statusDate | string | Date of the last status change |
balance | object | Current balance (amount, asOn) |
actualBalance | object | Actual balance (amount, asOn) |
availableBalance | object | Available balance (amount, asOn) |
advanceBalance | object | Advance balance (amount, asOn) |
holdBalance | object | Hold balance (amount, asOn) |
purpose | string | Account purpose |
configuration | object | Account configuration (sweep, credit, debit) |
routableAccount | object | Routable account details |
routableAccount.accountNumber | string | Routable account number |
routableAccount.routingNumber | string | ACH routing number |
routableAccount.wireRoutingNumber | string | Wire routing number |
routableAccount.wireAccountNumber | string | Wire account number |
routableAccount.wireMemo | string | Wire memo |
routableAccount.memo | string | Memo |
linkedDocument | array | Linked documents |
createdOn | string | Creation timestamp |
createdBy | object | User who created the account |
lastUpdatedOn | string | Last update timestamp |
lastUpdatedBy | object | User who last updated the account |
isCustomerOwned | boolean | Whether the account is customer-owned |
nickName | string | Account nickname |
activationDate | string | Account activation date |
type | string | Account type (CHECKING, CASH_BUILDER_PLUS) |
title | string | Account title |
isPrimary | boolean | Whether this is the primary account |
totalCredit | object | Total credit (amount, asOn) |
totalDebit | object | Total debit (amount, asOn) |
Example Request
GET /banking/us2/v1/customer/id/4052981/account/id/4024062 HTTP/1.1
Host: api.ahrvo.network
Authorization: Bearer {placeholder("JWT token")}
x-api-key: {placeholder("your-api-key")}
Content-Type: application/json
Example Responses
CHECKING Account
{
"resourceName": "account",
"url": "v1/customer/id/4007649/account/id/4006389",
"id": 4006389,
"tags": ["Customer"],
"externalId": "ET2342342",
"metaData": {
"label": "deposit"
},
"accountNumber": "8125000200002212",
"status": "ACTIVE",
"statusReason": "VERIFIED",
"statusDate": "11/12/2024 05:17:37",
"balance": {
"amount": "0.00",
"asOn": "11/12/2024 05:17:47"
},
"actualBalance": {
"amount": "0.00",
"asOn": "11/12/2024 05:17:47"
},
"availableBalance": {
"amount": "0.00",
"asOn": "11/12/2024 05:17:47"
},
"advanceBalance": {
"amount": "0",
"asOn": "11/12/2024 05:17:47"
},
"holdBalance": {
"amount": "0.00",
"asOn": "11/12/2024 05:17:47"
},
"purpose": "Checking",
"configuration": {
"sweep": {
"enable": false
},
"credit": {
"realizationInterval": {
"ach": 2,
"card": 1,
"check": 1
},
"statementDescriptor": {
"ach": {
"companyName": "JRT",
"companyDescription": "JR"
},
"card": {
"descriptor": "JR pvt ltd"
}
},
"quickSettle": {
"ach": false,
"check": false
},
"velocity": {
"transactionLimit": {
"totalCount": "100",
"totalAmount": "100000.00",
"methodControl": {
"ach": {
"totalCount": "100",
"totalAmount": "100000.00"
},
"card": {
"totalCount": "100",
"totalAmount": "100000.00"
},
"check": {
"totalCount": "100",
"totalAmount": "100000.00"
}
}
}
}
},
"debit": {
"statementDescriptor": {
"ach": {
"companyName": "JRT",
"companyDescription": "JR"
},
"wire": {
"originator": "JRT"
}
},
"checkProcessing": {
"defaultRemittanceTemplate": {
"id": 50
}
},
"velocity": {
"transactionLimit": {
"totalCount": "10",
"totalAmount": "1000.00",
"methodControl": {
"ach": {
"totalCount": "10",
"totalAmount": "1000.00"
},
"check": {
"totalCount": "10",
"totalAmount": "1000.00"
},
"wire": {
"totalCount": "10",
"totalAmount": "1000.00"
},
"internationalWire": {
"totalCount": "10",
"totalAmount": "1000.00"
},
"virtualCard": {
"totalCount": "10",
"totalAmount": "1000.00"
}
}
}
}
}
},
"routableAccount": {
"accountNumber": "76650000006670",
"routingNumber": "053101561",
"wireRoutingNumber": "122287251",
"wireAccountNumber": "200000241808",
"wireMemo": "Radhika Jassal 13976650000006670",
"memo": "Radhika Jassal 76650000006670"
},
"spaaVersionId": 4,
"privacyPolicy": "BOI",
"linkedDocument": [
{
"id": 22585,
"purpose": "AUTHORIZATION",
"status": "VERIFIED",
"document": {
"resourceName": "document",
"url": "/v1/document/id/4020651",
"id": 4020651,
"type": "SPAA",
"name": "abc.pdf"
},
"linkedOn": "09/26/2024 13:19:37",
"linkedBy": {
"userType": "API_USER",
"username": "qa+566688651394@ahrvo.com",
"status": "ACTIVE"
}
}
],
"createdOn": "09/26/2024 13:19:37",
"createdBy": {
"userType": "API_USER",
"username": "qa+566688651394@ahrvo.com",
"status": "ACTIVE"
},
"lastUpdatedBy": {
"userType": "INTERNAL",
"username": "DEFAULT_USER",
"status": "ACTIVE"
},
"lastUpdatedOn": "11/12/2024 05:17:37",
"isCustomerOwned": true,
"nickName": "Jassal",
"activationDate": "11/11/2024 06:06:43",
"type": "CHECKING",
"title": "Radhika Jassal",
"isPrimary": true,
"totalCredit": {
"amount": "0.00",
"asOn": "11/12/2024 05:17:47"
},
"totalDebit": {
"amount": "0.00",
"asOn": "11/12/2024 05:17:47"
}
}
CASH_BUILDER_PLUS Account
{
"resourceName": "account",
"url": "v1/customer/id/4049115/account/id/4034448",
"id": 4034448,
"accountNumber": "8125000200011747",
"status": "ACTIVE",
"statusReason": "Auto-activated by System",
"statusDate": "06/26/2024 09:37:34",
"balance": {
"amount": "0.00",
"asOn": "06/26/2024 10:00:42"
},
"actualBalance": {
"amount": "0.00",
"asOn": "06/26/2024 10:00:42"
},
"advanceBalance": {
"amount": "0",
"asOn": "06/26/2024 10:00:42"
},
"holdBalance": {
"amount": "0",
"asOn": "06/26/2024 10:00:42"
},
"linkedDocument": [
{
"id": 134011,
"purpose": "AUTHORIZATION",
"status": "VERIFIED",
"document": {
"resourceName": "document",
"url": "/v1/document/id/4119123",
"id": 4119123,
"type": "CASH_BUILDER_PLUS_ACCOUNT_AGREEMENT",
"name": "spaa-blank.pdf"
},
"linkedOn": "06/26/2024 09:24:29",
"linkedBy": {
"userType": "INTERNAL",
"username": "DEFAULT_USER",
"status": "ACTIVE"
}
}
],
"createdOn": "06/26/2024 09:24:29",
"createdBy": {
"userType": "INTERNAL",
"username": "DEFAULT_USER",
"status": "ACTIVE"
},
"lastUpdatedBy": {
"userType": "SYSTEM",
"username": "SYSTEM",
"status": "ACTIVE"
},
"lastUpdatedOn": "06/26/2024 09:37:34",
"isCustomerOwned": true,
"activationDate": "06/26/2024 09:37:34",
"type": "CASH_BUILDER_PLUS",
"title": "Davids",
"isPrimary": false,
"totalCredit": {
"amount": "0.00",
"asOn": "06/26/2024 10:00:42"
},
"totalDebit": {
"amount": "0.00",
"asOn": "06/26/2024 10:00:42"
}
}
Response Status
HTTP Status: 200 OK
Important Notes
Account Types
The response structure varies based on the account type. CHECKING accounts include additional fields like availableBalance and full configuration details, while CASH_BUILDER_PLUS accounts have a simpler structure.
Routable Account
The routableAccount object contains the ACH routing number, wire routing number, and account numbers needed for receiving funds.